import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:hangman/cubit/game_cubit.dart';
import 'package:hangman/models/game/game.dart';

class GameDisplayClueWidget extends StatelessWidget {
  const GameDisplayClueWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return Center(
      child: BlocBuilder<GameCubit, GameState>(
        builder: (BuildContext context, GameState gameState) {
          final Game currentGame = gameState.currentGame;

          return TextButton(
            onPressed: () {
              BlocProvider.of<GameCubit>(context).toggleClueDisplay();
            },
            child: FittedBox(
              child: Text(
                currentGame.isClueDisplayed ? currentGame.clue : '?',
                style: const TextStyle(
                  fontFamily: 'Tiza',
                  color: Colors.black,
                  fontSize: 24.0,
                ),
              ),
            ),
          );
        },
      ),
    );
  }
}
